Reviews
Tripadvisor에서 장소의 리뷰를 가져옵니다.
GET | POST /v1/tripadvisor/reviews파라미터는 GET의 쿼리 문자열로도, POST의 JSON 본문으로도 보낼 수 있습니다. 둘은 같습니다.
요청
curl "https://gateway.apinoa.com/v1/tripadvisor/reviews?place=143336&limit=5" \
-H "x-api-key: $APINOA_API_KEY"파라미터
| 파라미터 | 타입 | 필수 | 설명 |
|---|---|---|---|
cursor | string | The previous page's cursor. Pass it alone for the next page. | |
language | string | Only reviews in this language — Tripadvisor counts its machine translations into it (each review says when it is one). All languages by default. | |
limit | integer 1–100 | Results wanted (default 20, at most 100). More than one page is charged per page. | |
months | string | Only reviews of visits in these months, e.g. 6,7,8 or june. | |
place | string | The place's id, as places returns it (a Tripadvisor link is taken too). | |
q | string | Only reviews that mention this text. | |
rating | string | Only reviews with these stars, e.g. 5 or 1,2. | |
sort | enum | Review order: Tripadvisor's own (default), newest first, or the most detailed first. relevant newest detailed | |
visitType | string | Only reviews by these travellers: families, couples, solo, business, friends (comma-separated). |
같은 파라미터와 모든 응답 타입은 OpenAPI 문서에도 있습니다.
응답
data에 PlaceReviewsPage를 돌려줍니다. 실제 응답을 줄인 것입니다. 배열은 앞쪽 항목만 남기고 긴 텍스트는 잘랐습니다.
{
"success": true,
"data": {
"engine": "tripadvisor",
"placeId": "143336",
"summary": {
"average": 3.9,
"count": 40012,
"distribution": {"1": 6.93, "2": 7.08, "3": 14.87, "4": 29.89, "5": 41.24}
},
"starCounts": {"1": 2772, "2": 2833, "3": 5948, "4": 11959, "5": 16500},
"sort": "newest",
"page": {"index": 1, "size": 5, "total": 40012},
"reviews": [
{
"id": "1083706294",
"author": "Richie J",
"authorId": "DEE03B589798E25B6D9C7B158ED1E551",
"authorUrl": "https://www.tripadvisor.com/Profile/536richiej",
"authorAvatarUrl": "https://dynamic-media-cdn.tripadvisor.com/media/photo-o/1a/f6/f2/11/default-avatar-2020-23.jpg?w=1200&h=1200&s=1",
"rating": 3,
"title": "Multiple issues derailed experience",
"body": "The shower only had cold water. There was no body wash bc the canister was broken. Called housekeeping and a bag of soaps were left on bathroom counter. This is…",
"date": "2026-10-29T22:42:49.097Z",
"helpfulCount": 0,
"images": [],
"language": "en",
"pinned": false,
"ext": {
"url": "https://www.tripadvisor.com/ShowUserReviews-g45963-d143336-r1083706294-Paris_Las_Vegas-Las_Vegas_Nevada.html",
"visit": {"type": "couples", "date": "2026-10"},
"photoCount": 0,
"trustSafetyAlert": false,
"reviewer": {"username": "536richiej", "contributions": 1, "helpfulVotes": 0}
}
},
{
"id": "1083555734",
"author": "Dorothy I",
"authorId": "A12310ACFD286DA674866408BEEA29DC",
"authorUrl": "https://www.tripadvisor.com/Profile/dorothyi321",
"authorAvatarUrl": "https://dynamic-media-cdn.tripadvisor.com/media/photo-s/01/2e/70/69/avatar047.jpg?w=450&h=450&s=1",
"rating": 5,
"title": "Lovely",
"body": "Initially they put me in Versailles tower, I was a bit disappointed, great view but loud and elevator issues, it’s not quite as elegant as I expected from this…",
"date": "2026-10-28T16:59:35.842Z",
"helpfulCount": 0,
"images": [
"https://dynamic-media-cdn.tripadvisor.com/media/v2/photo-o/35/0f/26/ce/image.jpg?w=3024&h=4032&s=1",
"https://dynamic-media-cdn.tripadvisor.com/media/v2/photo-o/35/0f/26/d0/image.jpg?w=3024&h=4032&s=1"
],
"language": "en",
"pinned": false,
"ext": {
"url": "https://www.tripadvisor.com/ShowUserReviews-g45963-d143336-r1083555734-Paris_Las_Vegas-Las_Vegas_Nevada.html",
"visit": {"type": "solo", "date": "2026-10"},
"photoCount": 3,
"photoCaptions": ["Perfect view"],
"trustSafetyAlert": false,
"reviewer": {"username": "dorothyi321", "contributions": 8, "helpfulVotes": 0}
}
}
],
"cursor": "CLGdsXzj_3O3ElOeWzJoq8nqyzEjXq15aaxleTqAcTLFSh2SehSKQB2jIsWOaf8IfICs6nJDR5VnR9U0GpzUQSOAoVlzyvpvL9RzaURF88Z0S5LTXzqHsxc3nH0AOmvJCgsfOSRzVgAZi5qoJ_WLj_8Yg12i9w",
"fetchedAt": "2026-10-30T01:02:47.016Z",
"ext": {
"place": {
"name": "Paris Las Vegas",
"type": "hotel",
"url": "https://www.tripadvisor.com/Hotel_Review-g45963-d143336-Reviews-Paris_Las_Vegas-Las_Vegas_Nevada.html"
},
"subRatings": {
"activitiesAndGym": 3.5,
"cleanliness": 4.2,
"dining": 3.9,
"location": 4.7,
"pool": 3.7,
"room": 4,
"service": 3.9,
"sleep": 4.2,
"value": 3.9
},
"languages": {
"de": 13697,
"no": 16161,
"fi": 92,
"ru": 19635,
"pt": 5745,
"zhTW": 13079,
"fr": 10019,
"hu": 93,
"sk": 92,
"sr": 92,
"zhCN": 12377,
"sv": 12000,
"ko": 13790,
"in": 13751,
"el": 13880,
"en": 36553,
"it": 17367,
"es": 17965,
"iw": 161,
"cs": 93,
"ar": 9357,
"vi": 170,
"th": 13062,
"ja": 10254,
"pl": 10764,
"da": 10191,
"nl": 16104,
"tr": 7945
}
}
}
}에러
| 상태 | 코드 | 의미 |
|---|---|---|
| 400 | INVALID_CURSOR | 이 오퍼레이션이 돌려준 cursor가 아닙니다. cursor 없이 처음부터 다시 호출하세요. |
| 400 | INVALID_PARAMS | 파라미터가 없거나, 알 수 없거나, 범위를 벗어났거나, 이 엔진이 받지 않는 값입니다. 메시지에 이름이 나옵니다. |
| 401 | UNAUTHORIZED | x-api-key 헤더가 없거나, 폐기되었거나 알 수 없는 키입니다. |
| 402 | INSUFFICIENT_BALANCE | 잔액이 이 호출 비용에 모자랍니다. 대시보드에서 충전하세요. |
| 404 | NOT_FOUND | 장소가 없습니다. |
| 429 | MARKETPLACE_SATURATED | 동시 호출이 너무 많습니다. Retry-After 초만큼 기다린 뒤 다시 시도하세요. |
| 502 | UPSTREAM_ERROR | 엔진이 쓸 수 없는 응답을 보냈습니다. 간격을 두고 다시 시도하세요. |
| 503 | SERVICE_UNAVAILABLE | 일시적인 장애입니다. 간격을 두고 다시 시도하세요. |
모든 코드는 Errors에 있습니다. 실패한 호출은 과금되지 않습니다.
가격
가격 호출당 $0.0012, 추가 호출마다 $0.0012 — 최대 4번 더, 합계 최대 $0.006. 정가 기준이며, 하루 1,000회를 넘으면 단가가 내려갑니다.
참고
places가 돌려준 장소의id를place로 넘깁니다.rating,visitType,months,language,q(본문 검색)로 거를 수 있습니다.language를 주면 Tripadvisor의 기계 번역도 포함되며, 각 리뷰에 번역 여부가 표시됩니다.